Name: gawk
Version: 4.1.4
Release: 2
License: GPL-3.0-or-later
Summary: GNU AWK
Url: https://www.gnu.org/software/gawk

Source0: https://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.xz

BuildRequires: mpfr-devel
BuildRequires: gmp-devel
BuildRequires: readline-devel

%description
The awk utility interprets a special-purpose programming language that makes it
possible to handle simple data-reformatting jobs with just a few lines of code.

%prep
%setup -q

%build

perl -p -i -e 's|#! */bin/sh|#!/QOpenSys/usr/bin/sh|' awklib/eg/prog/igawk.sh

%configure \
  CPPFLAGS='-I%{_includedir}' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --disable-static \
  --disable-nls \
  --disable-rpath

%make_build

%install

%make_install

rm %{buildroot}/%{_bindir}/gawk-%{version}
rm %{buildroot}/%{_includedir}/gawkapi.h

%files
%defattr(-, qsys, *none)


%{_bindir}/gawk
%{_bindir}/awk
%{_bindir}/igawk

%{_infodir}/gawk.info
%{_infodir}/gawkinet.info

%{_mandir}/man1/gawk.1
%{_mandir}/man1/igawk.1
%{_mandir}/man3/filefuncs.3am
%{_mandir}/man3/fnmatch.3am
%{_mandir}/man3/fork.3am
%{_mandir}/man3/inplace.3am
%{_mandir}/man3/ordchr.3am
%{_mandir}/man3/readdir.3am
%{_mandir}/man3/readfile.3am
%{_mandir}/man3/revoutput.3am
%{_mandir}/man3/revtwoway.3am
%{_mandir}/man3/rwarray.3am
%{_mandir}/man3/time.3am

%{_datadir}/awk/passwd.awk
%{_datadir}/awk/group.awk
%{_datadir}/awk/assert.awk
%{_datadir}/awk/bits2str.awk
%{_datadir}/awk/cliff_rand.awk
%{_datadir}/awk/ctime.awk
%{_datadir}/awk/ftrans.awk
%{_datadir}/awk/getopt.awk
%{_datadir}/awk/gettime.awk
%{_datadir}/awk/inplace.awk
%{_datadir}/awk/join.awk
%{_datadir}/awk/libintl.awk
%{_datadir}/awk/noassign.awk
%{_datadir}/awk/ord.awk
%{_datadir}/awk/processarray.awk
%{_datadir}/awk/quicksort.awk
%{_datadir}/awk/readable.awk
%{_datadir}/awk/readfile.awk
%{_datadir}/awk/rewind.awk
%{_datadir}/awk/round.awk
%{_datadir}/awk/shellquote.awk
%{_datadir}/awk/strtonum.awk
%{_datadir}/awk/walkarray.awk
%{_datadir}/awk/zerofile.awk

%{_libexecdir}/awk/pwcat
%{_libexecdir}/awk/grcat

%exclude %{_libdir}/gawk/libfilefuncs.a
%exclude %{_libdir}/gawk/libfnmatch.a
%exclude %{_libdir}/gawk/libfork.a
%exclude %{_libdir}/gawk/libinplace.a
%exclude %{_libdir}/gawk/libordchr.a
%exclude %{_libdir}/gawk/libreaddir.a
%exclude %{_libdir}/gawk/libreadfile.a
%exclude %{_libdir}/gawk/librevoutput.a
%exclude %{_libdir}/gawk/librevtwoway.a
%exclude %{_libdir}/gawk/librwarray.a
%exclude %{_libdir}/gawk/libtestext.a
%exclude %{_libdir}/gawk/libtime.a


%changelog
* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 4.1.4
- Use SPDX license identifier

* Fri Aug 09 2019 Mark Irish <mirish@ibm.com> - 4.1.4
- Uncomment, rename, and manually exclude static libraries

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Update BuildRequires for packages

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Allow gawk to link to libraries in _libdir

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix 64-bit build
